import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增题库大章
    addbankchapter(data) {
        return request({
            url: '/bank/chapter',
            method: 'post',
            data
        })
    },
    //修改题库大章
    editbankchapter(data) {
        return request({
            url: '/bank/chapter/edit',
            method: 'post',
            data
        })
    },
    //查询题库大章列表
    inquirebankchapterList(data) {
        return request({
            url: '/bank/chapter/list',
            method: 'get',
            params: data
        })
    },
    //获取题库大章详细信息
    obtainbankchapter(data) {
        return request({
            url: `/bank/chapter/` + data,
            method: 'get',
        })
    },
    //查询业务层次关系列表
    inquirebankchapterListbusiness(data) {
        return request({
            url: '/bank/chapter/business/list',
            method: 'get',
            params: data
        })
    },
    //查询关联试卷列表
    inquirebankchapterexamList(data) {
        return request({
            url: '/bank/chapter/exam/list',
            method: 'get',
            params: data
        })
    },
    //批量新增章卷
    addMorebankchapter(data) {
        return request({
            url: '/bank/chapter/addMore',
            method: 'post',
            data
        })
    },
    
}